{{/*
  Copyright (c) 2023 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
    Olivier Goulet <olivier.goulet@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
*/}}

{{ $twitter_url := $.Site.Params.twitter_url | default "https://x.com/EclipseFdn" }}
{{ $facebook_url := $.Site.Params.facebook_url | default "https://www.facebook.com/eclipse.org" }}
{{ $youtube_url := $.Site.Params.youtube_url | default "https://www.youtube.com/user/EclipseFdn" }}
{{ $linkedin_url := $.Site.Params.linkedin_url | default "https://www.linkedin.com/company/eclipse-foundation" }}
{{ $mastodon_url := $.Site.Params.mastodon_url | default "https://mastodon.social/@EclipseFdn" }}

<section class="stay-connected-section featured-section dark bg-secondary padding-y-60">
  <div class="container">
    <div class="col-xs-24">
      <h2 class="text-center uppercase text-primary margin-bottom-40">Stay Connected</h2>
    </div>
    <div class="col-xs-24 col-md-10 col-md-offset-2">
      <div class="mailing-icon-container">
        <a class="mailing-icon display-flex gap-20 align-items-center link-unstyled" href="https://share.hsforms.com/1Af1hwQzgS6GFXaNJfSc9LQ38167">
          <div class="fa fa-stack fa-2x">
            <i class="fa fa-circle fa-stack-2x text-primary"></i>
            <i class="fa fa-envelope-o fa-stack-1x fa-inverse"></i>
          </div>
          <p class="margin-0 uppercase">Sign up for the mailing list</p>
        </a>
      </div>
    </div>
    <div class="col-xs-24 col-md-10 col-md-offset-2">
      <ul class="social-icons list-unstyled flex-center gap-20">
        <li>
          <a class="fa fa-stack fa-2x link-unstyled" href="{{ $linkedin_url }}" aria-label="LinkedIn">
            <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
            <i class="fa fa-linkedin text-secondary fa-stack-1x" aria-hidden="true"></i>
          </a>
        </li>
        <li>
          <a class="fa fa-stack fa-2x link-unstyled" href="{{ $mastodon_url }}" aria-label="Mastodon">
            <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
            <img class="img img-responsive fa-stack-1x" src="/public/images/social/mastodon.png" alt="">
          </a>
        </li>
        <li>
          <a class="fa fa-stack fa-2x link-unstyled" href="{{ $twitter_url }}" aria-label="X (formerly Twitter)">
            <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
            <img class="img img-responsive fa-stack-1x" src="/public/images/social/x.png" alt="">
          </a>
        </li>
        <li>
          <a class="fa fa-stack fa-2x link-unstyled" href="{{ $youtube_url }}" aria-label="YouTube">
            <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
            <i class="fa fa-youtube-play text-secondary fa-stack-1x" aria-hidden="true"></i>
          </a>
        </li>
        <li>
          <a class="fa fa-stack fa-2x link-unstyled" href="{{ $facebook_url }}" aria-label="Facebook">
            <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
            <i class="fa fa-facebook text-secondary fa-stack-1x" aria-hidden="true"></i>
          </a>
        </li>
      </ul>
      <p class="h3 text-primary text-center"><strong aria-label="Hashtag OCX 24">#OCX24</strong></p>
    </div>
  </div>
</section>
